Bug 197802 - Crashes when port number is too high
Crashes when port number is too high
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openldap (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
Jay Turner
:
Depends On:
Blocks: 176344 198868 222397
  Show dependency treegraph
 
Reported: 2006-07-06 10:35 EDT by Bastien Nocera
Modified: 2015-01-07 19:13 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0739
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:04:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
openldap-slapd-high-port-crasher.patch (496 bytes, patch)
2006-07-06 10:35 EDT, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2006-07-06 10:35:06 EDT
openldap-servers-2.2.13-6.4E

1. Install openldap-servers and dependencies
2. Run slapd -h ldap://:65536
3. Segmentation fault

Any port number higher than 65535 will crash.

Possible patch from Keiichi Mori <kmori@redhat.com> attached
Comment 1 Bastien Nocera 2006-07-06 10:35:07 EDT
Created attachment 132001 [details]
openldap-slapd-high-port-crasher.patch
Comment 2 RHEL Product and Program Management 2006-08-18 11:15:29 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Jay Turner 2006-08-28 21:13:19 EDT
QE ack for 4.5.
Comment 5 Jay Fenlason 2006-09-15 11:32:53 EDT
I've reworked the patch to return an error rather than silently accepting bad 
input.  Note that this does not fix the vast majority of places where slapd 
silently accepts bad input, just this one. 
Comment 14 RHEL Product and Program Management 2007-04-17 17:12:04 EDT
Although this bugzilla was approved for RHEL 4.5, we were unable
to resolve it in time to be included in the release.  Therefore
it is now proposed for RHEL 4.6.
Comment 15 RHEL Product and Program Management 2007-05-09 06:04:32 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 19 errata-xmlrpc 2007-11-15 11:04:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0739.html

Note You need to log in before you can comment on or make changes to this bug.